DRAFT - DRAFT - DRAFT - DRAFT - DRAFT - DRAFT - DRAFT - DRAFT -
| Verb | URI | Description |
|---|---|---|
| GET | v2.0/users |
List users. |
Normal Response Code(s): 200, 203
Error Response Code(s): identityFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)
| Name | Style | Type | Description |
|---|---|---|---|
X-Auth-Token | Header | String | You need a valid admin token for access. The |
This operation does not require a request body.
Example 3.11. List users Response: XML
<?xml version="1.0" encoding="UTF-8"?>
<users xmlns="http://docs.openstack.org/identity/api/v2.0">
<user xmlns="http://docs.openstack.org/identity/api/v2.0"
enabled="true" email="john.smith@example.org"
username="jqsmith" id="u1000"/>
<user xmlns="http://docs.openstack.org/identity/api/v2.0"
enabled="true" email="john.smith@example.org"
username="jqsmith" id="u1001"/>
</users>
Example 3.12. List users Response: JSON
{
"users":[{
"id": "u1000",
"username": "jqsmith",
"email": "john.smith@example.org",
"enabled": true
},
{
"id": "u1001",
"username": "jqsmith",
"email": "john.smith@example.org",
"enabled": true
}
],
"users_links":[]
}
